Property - Comparables
All comparables — bundle
GET
/v1/properties/{gnaf_id}/comparables/all370¢ per callPrice: 370¢ per call.
Authorization
Request
The only values you send. Fields under Responses below are what comes back — you never pass those.
Path parameters
gnaf_idstringrequiredQuery parameters
None — this endpoint accepts no query parameters. Call the path above with your bearer token and nothing else.
Responses
Successful Response
application/json
ComparablesAllfields returned to you
cma_comp_setarray of CmaCompmay be nullcma_single_compobjectmay be nullOne comparable sale row.
recent_sales_nearbyarray of RecentSalemay be nullGET
/v1/properties/{gnaf_id}/comparables/allcURL
curl --request GET \
--url 'https://api.microburbs.com.au/v1/properties/GANSW704074813/comparables/all' \
--header 'Authorization: Bearer test'Example Responses
{
"data": {
"cma_comp_set": [
{
"bathrooms": 2,
"bedrooms": 4,
"date_sold": "2024-07-13",
"dist_score": 6.319769313849382,
"garage_spaces": 2,
"gnaf_pid": "GAACT714923950",
"latitude": -35.38013684,
"longitude": 149.06828089,
"price": 815000,
"property_type": "house",
"sal": "Kambah",
"state": "ACT",
"street": "8 SHIPARD PL"
},
{
"bathrooms": 2,
"bedrooms": 4,
"date_sold": "2024-05-17",
"dist_score": 6.314913077374466,
"garage_spaces": 2,
"gnaf_pid": "GAACT714962432",
"latitude": -35.38141033,
"longitude": 149.0765471,
"price": 975000,
"property_type": "house",
"sal": "Kambah",
"state": "ACT",
"street": "19 MACKAY CR"
},
{
"bathrooms": 2,
"bedrooms": 4,
"date_sold": "2024-05-10",
"dist_score": 6.202634043106887,
"garage_spaces": 4,
"gnaf_pid": "GAACT714953151",
"latitude": -35.38009598,
"longitude": 149.07224252,
"price": 1049000,
"property_type": "house",
"sal": "Kambah",
"state": "ACT",
"street": "23 BROWNSMITH CR"
}
],
"cma_single_comp": {
"bathrooms": 2,
"bedrooms": 4,
"date_sold": "2024-07-13",
"dist_score": 6.319769313849382,
"garage_spaces": 2,
"gnaf_pid": "GAACT714923950",
"latitude": -35.38013684,
"longitude": 149.06828089,
"price": 815000,
"property_type": "house",
"sal": "Kambah",
"state": "ACT",
"street": "8 SHIPARD PL"
},
"recent_sales_nearby": [
{
"bathrooms": 2,
"bedrooms": 4,
"date_sold": "2024-07-13",
"dist_score": 6.319769313849382,
"garage_spaces": 2,
"gnaf_pid": "GAACT714923950",
"latitude": -35.38013684,
"longitude": 149.06828089,
"price": 815000,
"property_type": "house",
"sal": "Kambah",
"state": "ACT",
"street": "8 SHIPARD PL"
}
]
}
}Successful Response200
application/json
